For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet all webhooks
      • POSTCreate a webhook
      • GETGet a webhook details
      • PUTUpdate a webhook
      • DELDelete a webhook
      • POSTExport webhook history
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsWebhooks

Get a webhook details

GET
https://api.brevo.com/v3/webhooks/:webhookId
GET
/v3/webhooks/:webhookId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.webhooks.getWebhook(1);
8}
9main();
1{
2 "createdAt": "2016-06-07T09:10:10Z",
3 "description": "Webhook triggered on campaign openings and addition of lists",
4 "events": [
5 "listAddition",
6 "opened"
7 ],
8 "id": 7287,
9 "modifiedAt": "2016-06-08T11:30:00Z",
10 "type": "marketing",
11 "url": "http://example.domain.com/1brxxxxxx5p1",
12 "auth": {
13 "token": "test-auth-token1234",
14 "type": "bearer"
15 },
16 "batched": true,
17 "headers": [
18 {
19 "key": "cf-secret",
20 "value": "test-header-value"
21 }
22 ]
23}
Retrieves detailed information about a specific webhook configuration. Use this to: - Get complete webhook configuration and settings - Check webhook event subscriptions and triggers - Review authentication and security settings - Verify webhook URL and custom headers - Access webhook creation and modification history Key information returned: - Complete webhook details and configuration - Event types and channel subscriptions - Authentication credentials and methods - Custom headers and request settings - Webhook status and activity information
Was this page helpful?
Previous

Update a webhook

Next
Built with

Retrieves detailed information about a specific webhook configuration.

Use this to:

  • Get complete webhook configuration and settings
  • Check webhook event subscriptions and triggers
  • Review authentication and security settings
  • Verify webhook URL and custom headers
  • Access webhook creation and modification history

Key information returned:

  • Complete webhook details and configuration
  • Event types and channel subscriptions
  • Authentication credentials and methods
  • Custom headers and request settings
  • Webhook status and activity information

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

webhookIdlongRequired
Id of the webhook

Response

Webhook informations
createdAtstring

Creation UTC date-time of the webhook (YYYY-MM-DDTHH:mm:ss.SSSZ)

descriptionstring
Description of the webhook
eventslist of strings
idlong
ID of the webhook
modifiedAtstring

Last modification UTC date-time of the webhook (YYYY-MM-DDTHH:mm:ss.SSSZ)

typeenum

Type of webhook (marketing, transactional, or inbound)

Allowed values:
urlstringformat: "url"
URL of the webhook
authobject
Authentication header to be send with the webhook requests
batchedboolean
Batching configuration of the webhook, we send batched webhooks if its true
headerslist of objects
domainstring
Inbound domain of the webhook, only returned for inbound type webhooks

Errors

400
Bad Request Error
404
Not Found Error